Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Typedefs | Functions
helper.h File Reference

translated with gcc version 12.2.1 More...

`#include <nlohmann/json.hpp>`
`#include <string>`
`#include <fstream>`
`#include <iostream>`
`#include "WarehousePickingOpt.h"`

Go to the source code of this file.

## Typedefs
using | json = nlohmann::json

## Functions
json | readJsonFromFile (string path)
| function for creating json object from file given as path More...
void | to_json (json &j, const OItem &it)
| function for converting OItem to json
void | to_json (json &j, const CartOItem &coi)
| function for converting CartOItem to json More...
void | to_json (json &j, const BoxItem &bi)
| function for converting BoxItem to json More...
float | euclidean_distance (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
| computation of the shortest (air) path between two points in warehouse More...
float | orthogonal_distance (SECTOR_ADDR_T first_addr, SECTOR_ADDR_T second_addr)
| computation of the distance between two points in euclidean space, meaning right-angle space More...
int | factorial (int num)
| factorial computation with memory of previously computed factorials More...

## Detailed Description

translated with gcc version 12.2.1

Author
  Jan Holáň, xholan11 (xhola.nosp@m.n11@.nosp@m.vutbr.nosp@m..cz)

Version
  0.1

Date
  2023-05-01

Copyright
  Copyright (c) 2023

## Function Documentation

## ◆ euclidean_distance()

float euclidean_distance | ( | SECTOR_ADDR_T | first_addr,
|  | SECTOR_ADDR_T | second_addr
| ) |  |

computation of the shortest (air) path between two points in warehouse

Parameters

  first_addr | first address as first point of triangle
  second_addr | second address as second point of triangle

Returns
  floating number as the lenght of the hypothenuse

## ◆ factorial()

int factorial | ( | int | num | ) |

factorial computation with memory of previously computed factorials

Parameters

  num | number to be processed

Returns
  factorial

## ◆ orthogonal_distance()

float orthogonal_distance | ( | SECTOR_ADDR_T | first_addr,
|  | SECTOR_ADDR_T | second_addr
| ) |  |

computation of the distance between two points in euclidean space, meaning right-angle space

Parameters

  first_addr | first address as first point of triangle
  second_addr | second address as second point of triangle

Returns
  floating number as the lenght of the right-angle distance

## ◆ readJsonFromFile()

json readJsonFromFile | ( | string | path | ) |

function for creating json object from file given as path

Parameters

  path | to file .json

Returns
  json object

## ◆ to_json() [1/2]

void to_json | ( | json & | j,
|  | const BoxItem & | bi
| ) |  |

function for converting BoxItem to json

Parameters

  j |
  bi |

## ◆ to_json() [2/2]

void to_json | ( | json & | j,
|  | const CartOItem & | coi
| ) |  |

function for converting CartOItem to json

Parameters

  j |
  coi |